# Ogre::RenderWindowDescription Struct Reference
[General]

Render window creation parameters. More...

`#include <OgreCommon.h>`

List of all members.

## Public Attributes

String | name
unsigned int | width
unsigned int | height
bool | useFullScreen
NameValuePairList | miscParams

## Detailed Description

Render window creation parameters.

Definition at line 725 of file OgreCommon.h.

## Member Data Documentation

unsigned int Ogre::RenderWindowDescription::height

Definition at line 729 of file OgreCommon.h.

NameValuePairList Ogre::RenderWindowDescription::miscParams

Definition at line 731 of file OgreCommon.h.

String Ogre::RenderWindowDescription::name

Definition at line 727 of file OgreCommon.h.

bool Ogre::RenderWindowDescription::useFullScreen

Definition at line 730 of file OgreCommon.h.

unsigned int Ogre::RenderWindowDescription::width

Definition at line 728 of file OgreCommon.h.

The documentation for this struct was generated from the following file:

- OgreCommon.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:54